<?php
/**
 * Created by PhpStorm.
 * User: PHOENIX
 * Date: 28.04.16
 * Time: 20:11
 */

namespace common\modules\cases\controllers;


use common\components\AdminController;
use common\modules\triggers\models\CasesSchedule;
use yii\data\ActiveDataProvider;

class CasesScheduleAdminController extends AdminController {
    /**
     * @return array|void
     */
    public static function actionsTitles(){
        return [
            'Manage' => 'Расписание рассылок',
        ];
    }

    /**
     * @return string
     */
    public function actionManage(){
        $dataProvider = new ActiveDataProvider([
            'query' => CasesSchedule::find()
        ]);

        return $this->render(
            'manage',
            [
                'dataProvider' => $dataProvider
            ]
        );
    }
} 